## spml 0.1

=== src/Makefile ===
# Makefile for spmpdel library

include ../Config.mk

TARGET=libspmodel.a

all: $(TARGET)

install: $(TARGET)
	test -d $(DEST_LIB) || install -d $(DEST_LIB)
	test -d $(DEST_INC) || install -d $(DEST_INC)
	install -m 644 $(TARGET) $(DEST_LIB)
	install -m 644 $(MODS) $(MODINCS) $(DEST_INC)
	if [ X$(F90MODTYPE) = X"intel.d" ]; then \
		install -m 644 work.pc $(DEST_INC)/work.pc ;\
	fi


OBJS = lumatrix_f77.o lumatrix.o \
       ae_module.o at_module.o ee_module.o esc_module.o c2ajcc.o \
       y_base_module.o y_deriv_module.o y_module.o \
       ya_base_module.o ya_deriv_module.o ya_module.o \
       et_module.o yt_module.o \
       w_base_module.o w_integral_module.o w_deriv_module.o w_module.o \
       wa_base_module.o wa_integral_module.o wa_deriv_module.o wa_module.o \
       wt_module.o wghi_module.o


$(TARGET): $(OBJS)
	$(AR) $@ $(OBJS)

$(OBJS): work.pcl

work.pcl: Makefile ../Config.mk
	sh ../chkpcl.sh $(FFLAGS) $(SYSFFLAGS)

clean:
	-rm -f $(MODS) *.o work.pc* *~ *.bak $(TARGET)

# dependences

at_module.o: lumatrix.o

y_deriv_module.o: y_base_module.o
y_module.o: y_deriv_module.o y_base_module.o
ya_base_module.o: y_base_module.o
ya_deriv_module.o: ya_base_module.o y_base_module.o y_deriv_module.o
ya_module.o: ya_base_module.o y_base_module.o ya_deriv_module.o y_deriv_module.o 

et_module.o: ae_module.o at_module.o lumatrix.o

yt_module.o: ya_module.o at_module.o lumatrix.o

w_integral_module.o: w_base_module.o
w_deriv_module.o: w_base_module.o
w_module.o: w_integral_module.o w_deriv_module.o w_base_module.o
wa_base_module.o: w_base_module.o
wa_integral_module.o: w_base_module.o
wa_deriv_module.o: wa_base_module.o w_base_module.o w_deriv_module.o
wa_module.o: wa_base_module.o w_base_module.o \
             wa_integral_module.o w_integral_module.o \
             wa_deriv_module.o w_deriv_module.o 

wt_module.o: wa_module.o at_module.o lumatrix.o

wghi_module.o: wa_module.o

## spml 0.1-1

=== debian/changelog ===
spml (0.1-1) unstable; urgency=low

  * Initial release.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed,  7 Aug 2002 10:12:09 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: spml
Section: math
Priority: optional
Maintainer: TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>
Standards-Version: 3.2.1

Package: spml-ifc6
Architecture: any
Depends: ${shlibs:Depends}
Suggests: ifc(>=6.0)
Recommends: dcl-ifc6, dcl-f90-ifc6, netcdf-ifc6, ispack, gtool4-ifc6
Description: SPML (a SPectral Model Library) is a Fortran90 module library 
 for constructing spectral models for fundamental geophysical fluid dynamic 
 problems. Fortran90 modules of this library are based on ISPACK 
 (http://www.gfd-dennou.org/arch/ispack), which is also library for spectral 
 models but written in Fortran77. This package provides module binary files 
 built with Intel Fortran Compiler ver.6. GFD-Dennu Club spmodel project web
 site is http://www.gfd-dennou.org/arch/spmodel.

Package: spml-doc
Architecture: all
Description: Documents of SPML Fortran90 library for spectral models. 
 SPML (a SPectral Model Library) is a Fortran90 module library 
 for constructing spectral models for fundamental geophysical fluid dynamic 
 problems. GFD-Dennu Club spmodel project web site is http://www.gfd-dennou.org/arch/spmodel.

## spml 0.1-2

=== Makefile ===
# Makefile for spmodel library

all:
	cd src; $(MAKE)
	cd spmfrt; $(MAKE) $@

install: all
	cd src; $(MAKE) $@
	cd spmfrt; $(MAKE) $@

clean: clean.local
	cd src; $(MAKE) $@
	cd spmfrt; $(MAKE) $@
	cd demo; $(MAKE) $@

clean.local:
	-rm *.bak *~

distclean: clean
	-rm -f config.status chkfort.cfg config.cache config.log Config.mk
	@echo removing Config.mk, you should rerun configure to build spmodel libary.

=== debian/changelog ===
spml (0.1-2) unstable; urgency=low

  * wt_Tormagboundaries added to wt_module. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri,  9 Aug 2002 12:23:10 +0900

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

# Select EXT and FC variables before building the package 
#
#    for Fujitsu Fortran Compiler
#export EXT=ffc
#export FC=frt

#    for Intel Fortran Compiler
#export EXT=ifc
export EXT=ifc6
export FC=ifc

package=spml-$(EXT)
docpackage=spml-doc

build:
	$(checkdir)
	cp debian/control.$(EXT) debian/control
	./configure --with-ispack=/usr/lib/libisp-$(EXT).a --with-gt4config=/usr/lib/gtool4-$(EXT)/bin/gt4config --prefix=/usr/lib/spml-$(EXT)
	$(MAKE) 
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/tmp-doc debian/files* core debian/substvars
	-rm -rf debian/*.debhelper

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.
#	install -d debian/tmp-doc/usr/share/doc/spml-doc/
	dh_installdocs -p$(docpackage) -Pdebian/tmp-doc demo MEMO README
	dh_installchangelogs -p$(docpackage) -Pdebian/tmp-doc CHANGELOG 
	dh_installdeb -p$(docpackage) -Pdebian/tmp-doc
	dpkg-gencontrol -isp -p$(docpackage) -Pdebian/tmp-doc
	chown -R root.root debian/tmp-doc
	chmod -R go=rX debian/tmp-doc
	dpkg --build debian/tmp-doc ..

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	dh_link usr/lib/spml-$(EXT)/bin/spmfrt   usr/bin/spmfrt.$(EXT)
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	#debstd 
	dh_installdocs -p$(package) -Pdebian/tmp 
	dh_strip -p$(package) -Pdebian/tmp
	dh_compress -p$(package) -Pdebian/tmp
	dh_fixperms -p$(package) -Pdebian/tmp
	dh_installdeb -p$(package) -Pdebian/tmp
	dpkg-gencontrol -isp -p$(package) -Pdebian/tmp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-arch binary-indep 

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## spml 0.1-3

=== debian/changelog ===
spml (0.1-3) unstable; urgency=low

  * gg -> xy in ee, esc, et modules .
  * Functions for integration and average are added to ee, esc, ae, at, and et modules.
  * Reference documents are added.

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Thu, 22 Aug 2002 23:08:50 +0900

## spml 0.1-5

=== debian/changelog ===
spml (0.1-5) unstable; urgency=low

  * Gaussian weight in w_base_module bug fix.
  * Radial weight in wt_module changed for integration, r^2 dr. 

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Thu,  5 Sep 2002 14:18:10 +0900

spml (0.1-4) unstable; urgency=low

  * wtboundaries -> wt_boundaires in wt_module.
  * y_, ya_, yt_ modules removed. 

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Sat, 24 Aug 2002 22:55:21 +0900

## spml 0.1-6

=== debian/changelog ===
spml (0.1-6) unstable; urgency=low

  * Derivatives for lambda-mu coordinate are added to w_module and wa_module. 

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Tue,  8 Oct 2002 13:13:27 +0900

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,13 @@
 # Select EXT and FC variables before building the package 
 #
 #    for Fujitsu Fortran Compiler
-#export EXT=ffc
+$export EXT=ffc
 #export FC=frt
 
 #    for Intel Fortran Compiler
 #export EXT=ifc
 export EXT=ifc6
-export FC=ifc
+#export FC=ifc
 
 package=spml-$(EXT)
 docpackage=spml-doc
@@ -37,7 +37,7 @@
 # generated by this package.  If there were any they would be
 # made here.
 #	install -d debian/tmp-doc/usr/share/doc/spml-doc/
-	dh_installdocs -p$(docpackage) -Pdebian/tmp-doc demo MEMO README
+	dh_installdocs -p$(docpackage) -Pdebian/tmp-doc doc demo MEMO README
 	dh_installchangelogs -p$(docpackage) -Pdebian/tmp-doc CHANGELOG 
 	dh_installdeb -p$(docpackage) -Pdebian/tmp-doc
 	dpkg-gencontrol -isp -p$(docpackage) -Pdebian/tmp-doc

## spml 0.1-7

=== debian/changelog ===
spml (0.1-7) unstable; urgency=low

  * at_BoundariesGrid_* added to at_module.
  * *_BoundariesGrid routines are added to wt_module.
  * wt_module.htm and at_module.htm updated. 

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Wed, 20 Nov 2002 00:39:26 +0900

## spml 0.1-8

=== src/Makefile ===
--- 
+++ 
@@ -18,9 +18,7 @@
 
 OBJS = lumatrix_f77.o lumatrix.o \
        ae_module.o at_module.o ee_module.o esc_module.o c2ajcc.o \
-       y_base_module.o y_deriv_module.o y_module.o \
-       ya_base_module.o ya_deriv_module.o ya_module.o \
-       et_module.o yt_module.o \
+       et_module.o \
        w_base_module.o w_integral_module.o w_deriv_module.o w_module.o \
        wa_base_module.o wa_integral_module.o wa_deriv_module.o wa_module.o \
        wt_module.o wghi_module.o
@@ -41,15 +39,7 @@
 
 at_module.o: lumatrix.o
 
-y_deriv_module.o: y_base_module.o
-y_module.o: y_deriv_module.o y_base_module.o
-ya_base_module.o: y_base_module.o
-ya_deriv_module.o: ya_base_module.o y_base_module.o y_deriv_module.o
-ya_module.o: ya_base_module.o y_base_module.o ya_deriv_module.o y_deriv_module.o 
-
 et_module.o: ae_module.o at_module.o lumatrix.o
-
-yt_module.o: ya_module.o at_module.o lumatrix.o
 
 w_integral_module.o: w_base_module.o
 w_deriv_module.o: w_base_module.o

=== debian/changelog ===
spml (0.1-8) unstable; urgency=low

  * wt_LaplaPol2Pol_wt added to wt_module.  

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Sun, 24 Nov 2002 17:51:59 +0900

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,12 @@
 # Select EXT and FC variables before building the package 
 #
 #    for Fujitsu Fortran Compiler
-$export EXT=ffc
-#export FC=frt
+export EXT=ffc
+export FC=frt
 
 #    for Intel Fortran Compiler
 #export EXT=ifc
-export EXT=ifc6
+#export EXT=ifc6
 #export FC=ifc
 
 package=spml-$(EXT)

## spml 0.1-9

=== debian/changelog ===
spml (0.1-9) unstable; urgency=low

  * wt_Potential2Rotation is added to wt_module. 

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Fri, 29 Nov 2002 00:53:46 +0900

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: math
 Priority: optional
 Maintainer: TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>
+Build-Depends: debhelper
 Standards-Version: 3.2.1
 
-Package: spml-ifc6
+Package: spml-ffc
 Architecture: any
 Depends: ${shlibs:Depends}
-Suggests: ifc(>=6.0)
-Recommends: dcl-ifc6, dcl-f90-ifc6, netcdf-ifc6, ispack, gtool4-ifc6
+Suggests: ffc(>=2.0)|ffcpara(>=2.0)
+Recommends: dcl-ffc, dcl-f90-ffc, netcdf-ffc, ispack-ffc, gtool4-ffc
 Description: SPML (a SPectral Model Library) is a Fortran90 module library 
  for constructing spectral models for fundamental geophysical fluid dynamic 
  problems. Fortran90 modules of this library are based on ISPACK 
  (http://www.gfd-dennou.org/arch/ispack), which is also library for spectral 
  models but written in Fortran77. This package provides module binary files 
- built with Intel Fortran Compiler ver.6. GFD-Dennu Club spmodel project web
+ built with Fujitsu Fortran&C compiler. GFD-Dennu Club spmodel project web
  site is http://www.gfd-dennou.org/arch/spmodel.
 
 Package: spml-doc

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,13 @@
 # Select EXT and FC variables before building the package 
 #
 #    for Fujitsu Fortran Compiler
-export EXT=ffc
-export FC=frt
+#export EXT=ffc
+#export FC=frt
 
 #    for Intel Fortran Compiler
 #export EXT=ifc
-#export EXT=ifc6
-#export FC=ifc
+export EXT=ifc6
+export FC=ifc
 
 package=spml-$(EXT)
 docpackage=spml-doc

## spml 0.1-10

=== spmfrt/Makefile ===
# Makefile for spmfrt

include ../Config.mk

TARGET=spm
#LIBNAME=spmodel

all: $(TARGET)frt $(TARGET)config

install: $(TARGET)frt
	test -d $(DEST_BIN) || install -d $(DEST_BIN)
	cp $(TARGET)frt $(DEST_BIN)
	cp $(TARGET)config $(DEST_BIN)

$(TARGET)frt: $(TARGET)frtgen.sh Makefile ../Config.mk
	@echo "Making shell script $(TARGET)frt"
	LIBNAME=spmodel MODINSTDIR=$(DEST_INC) \
		LIBINSTDIR=$(DEST_LIB) \
		SYSLDFLAGS="$(SYSLDFLAGS)" \
		SYSLDLIBS="$(SYSLDLIBS)" \
		SYSFFLAGS="$(SYSFFLAGS)" \
		F90MODTYPE=$(F90MODTYPE) FC=$(FC) \
		sh ./$(TARGET)frtgen.sh $@
	chmod +x $(TARGET)frt

$(TARGET)config: $(TARGET)configgen.sh Makefile ../Config.mk
	@echo "Making shell script $(TARGET)config"
	LIBNAME=spmodel MODINSTDIR=$(DEST_INC) \
		LIBINSTDIR=$(DEST_LIB) \
		SYSLDFLAGS="$(SYSLDFLAGS)" \
		SYSLDLIBS="$(SYSLDLIBS)" \
		SYSFFLAGS="$(SYSFFLAGS)" \
		F90MODTYPE=$(F90MODTYPE) FC=$(FC) \
		sh ./$(TARGET)configgen.sh $@
	chmod +x $(TARGET)config

clean:
	-rm -f *~ $(TARGET)frt $(TARGET)config

=== debian/changelog ===
spml (0.1-10) unstable; urgency=low

  * Fujitsu Fortran Compiler ver.4 support. 
	
 -- ODAKA Masatsugu <odakker@odakker.gfd-dennou.org>  Wed, 14 Jan 2004 22:17:54 +0900
	
  * Intel Fortran Compiler ver.7 support. 
  * Package for Fujitsu Fortran Compiler ver.3 separated. 

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Wed,  8 Jan 2003 19:11:36 +0900

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,19 @@
 Section: math
 Priority: optional
 Maintainer: TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>
-Build-Depends: debhelper
 Standards-Version: 3.2.1
 
-Package: spml-ffc
+Package: spml-ifc8
 Architecture: any
 Depends: ${shlibs:Depends}
-Suggests: ffc(>=2.0)|ffcpara(>=2.0)
-Recommends: dcl-ffc, dcl-f90-ffc, netcdf-ffc, ispack-ffc, gtool4-ffc
+Suggests: ifc(>=7.0)
+Recommends: dcl-ifc8, dcl-f90-ifc8, netcdf-ifc8, ispack-ifc8, gtool4-ifc8
 Description: SPML (a SPectral Model Library) is a Fortran90 module library 
  for constructing spectral models for fundamental geophysical fluid dynamic 
  problems. Fortran90 modules of this library are based on ISPACK 
  (http://www.gfd-dennou.org/arch/ispack), which is also library for spectral 
  models but written in Fortran77. This package provides module binary files 
- built with Fujitsu Fortran&C compiler. GFD-Dennu Club spmodel project web
+ built with Intel Fortran Compiler ver.8.0-beta. GFD-Dennu Club spmodel project web
  site is http://www.gfd-dennou.org/arch/spmodel.
 
 Package: spml-doc

=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,17 @@
 #
 #    for Fujitsu Fortran Compiler
 #export EXT=ffc
-#export FC=frt
+#export EXT=ffc3
+export EXT=ffc4
+export FC=frt
 
 #    for Intel Fortran Compiler
 #export EXT=ifc
-export EXT=ifc6
-export FC=ifc
+#export EXT=ifc6
+#export EXT=ifc7
+#export EXT=ifc7.1
+#export EXT=ifc8
+#export FC=ifc
 
 package=spml-$(EXT)
 docpackage=spml-doc

## spml 0.2.1-1

=== debian/changelog ===
spml (0.2.1-1) unstable; urgency=low

  * Initial release.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Mon, 26 Jan 2004 19:36:26 +0900

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: math
 Priority: optional
 Maintainer: TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>
+Build-Depends: debhelper
 Standards-Version: 3.2.1
 
-Package: spml-ifc8
+Package: spml-ffc3
 Architecture: any
 Depends: ${shlibs:Depends}
-Suggests: ifc(>=7.0)
-Recommends: dcl-ifc8, dcl-f90-ifc8, netcdf-ifc8, ispack-ifc8, gtool4-ifc8
+Suggests: ffc(>=3.0)|ffcpara(>=3.0)
+Recommends: netcdf-ffc3, ispack-ffc3, gt4f90io-ffc3
 Description: SPML (a SPectral Model Library) is a Fortran90 module library 
  for constructing spectral models for fundamental geophysical fluid dynamic 
  problems. Fortran90 modules of this library are based on ISPACK 
  (http://www.gfd-dennou.org/arch/ispack), which is also library for spectral 
  models but written in Fortran77. This package provides module binary files 
- built with Intel Fortran Compiler ver.8.0-beta. GFD-Dennu Club spmodel project web
+ built with Fujitsu Fortran&C compiler ver.2. GFD-Dennu Club spmodel project web
  site is http://www.gfd-dennou.org/arch/spmodel.
 
 Package: spml-doc

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 #
 #    for Fujitsu Fortran Compiler
 #export EXT=ffc
-#export EXT=ffc3
-export EXT=ffc4
+export EXT=ffc3
+#export EXT=ffc4
 export FC=frt
 
 #    for Intel Fortran Compiler
@@ -17,6 +17,7 @@
 #export EXT=ifc7.1
 #export EXT=ifc8
 #export FC=ifc
+#export FC=ifort
 
 package=spml-$(EXT)
 docpackage=spml-doc
@@ -24,7 +25,7 @@
 build:
 	$(checkdir)
 	cp debian/control.$(EXT) debian/control
-	./configure --with-ispack=/usr/lib/libisp-$(EXT).a --with-gt4config=/usr/lib/gtool4-$(EXT)/bin/gt4config --prefix=/usr/lib/spml-$(EXT)
+	./configure --with-ispack=/usr/lib/libisp-$(EXT).a --with-netcdf=/usr/lib/libnetcdf-$(EXT).a --with-gt4f90io=/usr/lib/gt4f90io-$(EXT)/lib/libgt4f90io.a --prefix=/usr/lib/spml-$(EXT)
 	$(MAKE) 
 	touch build

## spml 0.2.2-1

=== debian/changelog ===
spml (0.2.2-1) unstable; urgency=low

  * Initial release.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Tue, 27 Jan 2004 14:28:06 +0900

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 #
 #    for Fujitsu Fortran Compiler
 #export EXT=ffc
-export EXT=ffc3
-#export EXT=ffc4
+#export EXT=ffc3
+export EXT=ffc5
 export FC=frt
 
 #    for Intel Fortran Compiler
@@ -25,7 +25,7 @@
 build:
 	$(checkdir)
 	cp debian/control.$(EXT) debian/control
-	./configure --with-ispack=/usr/lib/libisp-$(EXT).a --with-netcdf=/usr/lib/libnetcdf-$(EXT).a --with-gt4f90io=/usr/lib/gt4f90io-$(EXT)/lib/libgt4f90io.a --prefix=/usr/lib/spml-$(EXT)
+	./configure --with-ispack=/usr/lib/libisp-$(EXT).a --with-netcdf=/usr/lib/libnetcdf-$(EXT).a --with-gt4f90io=/usr/lib/gt4f90io-$(EXT)/lib/libgt4f90io.a --with-dclf90config=/usr/lib/dcl-5.2-$(EXT)/bin/dclf90config --prefix=/usr/lib/spml-$(EXT) 
 	$(MAKE) 
 	touch build

## spml 0.2.2-1sarge-pre1

=== demo/Makefile ===
# Makefile for spmodel library

include ../Config.mk

SPMFRT=$(DEST_BIN)/spmfrt

.SUFFIXES: .f90 .out

.f90.out:
	$(SPMFRT) $< -o $@

clean:
	-rm -f $(MODS) *.o work.pc* *~ *.bak *.out *.nc

=== debian/changelog ===
spml (0.2.2-1sarge-pre1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu, 24 Jun 2004 07:37:06 +0900

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: spml
 Section: math
 Priority: optional
-Maintainer: TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>
+Maintainer: ODAKA Masatsugu <odakker@odakker.gfd-dennou.org>
 Build-Depends: debhelper
 Standards-Version: 3.2.1
 
-Package: spml-ffc3
+Package: spml-ffc5
 Architecture: any
 Depends: ${shlibs:Depends}
-Suggests: ffc(>=3.0)|ffcpara(>=3.0)
-Recommends: netcdf-ffc3, ispack-ffc3, gt4f90io-ffc3
+Suggests: ffc(>=5.0)|ffcpara(>=5.0)
+Recommends: dcl-ffc5, dcl-f90-ffc5, netcdf-ffc5, ispack-ffc5, gt4f90io-ffc5
 Description: SPML (a SPectral Model Library) is a Fortran90 module library 
  for constructing spectral models for fundamental geophysical fluid dynamic 
  problems. Fortran90 modules of this library are based on ISPACK 
  (http://www.gfd-dennou.org/arch/ispack), which is also library for spectral 
  models but written in Fortran77. This package provides module binary files 
- built with Fujitsu Fortran&C compiler ver.2. GFD-Dennu Club spmodel project web
+ built with Fujitsu Fortran&C compiler ver.5. GFD-Dennu Club spmodel project web
  site is http://www.gfd-dennou.org/arch/spmodel.
 
 Package: spml-doc

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 # Select EXT and FC variables before building the package 
 #
 #    for Fujitsu Fortran Compiler
-#export EXT=ffc
-#export EXT=ffc3
 export EXT=ffc5
 export FC=frt

## spml 0.3.0-9

=== debian/changelog ===
spml (0.3.0-9) unstable; urgency=low

  * wa_spectrum_module and w_spectrum_module are added.
  * functions for energy spectrum calculation are added to wt_module.

 -- Shin-ichi Takehiro <takepiro@gfd-dennou.org>  Sun, 24 Apr 2005 10:41:31 +0900

spml (0.3.0-8) unstable; urgency=low

  * Integral and average functions z_IntLon_xz, x_IntRad_xz, IntLonRad_xz, z_InRad_xz, y_IntRad_yz, IntLatRad_yz, IntRad_z, z_IntLon_xz, x_IntRad_xz, IntLonRad_xz, z_InRad_xz, y_IntRad_yz, IntLatRad_yz, and IntRad_z are added. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Mon, 21 Mar 2005 11:21:09 +0900

spml (0.3.0-7) unstable; urgency=low

  * Integral and average functions are added to wt_module.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri, 18 Mar 2005 11:23:28 +0900

spml (0.3.0-6) unstable; urgency=low

  * suffix "xy" is changed to "yx" in ee_module, esc_module and et_module.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Tue, 15 Mar 2005 17:24:53 +0900

spml (0.3.0-5) unstable; urgency=low

  * l_nm returns 1-dim array when input variables n or m is an array (w_base_module).
  * nm_l returns 2-dim array when input variable l is an array (w_base_module).

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sun, 13 Mar 2005 21:09:32 +0900

spml (0.3.0-4) unstable; urgency=low

  * wt_TorBoundariesTau and wt_TorBoundariesGrid in wt_module can specify velocity fields at spherical boundaries.
  * Module variables xy_Lon and xy_Lat are added to wt_module.
  * Package name extention is changed. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sun, 20 Feb 2005 10:59:21 +0900

spml (0.3.0-3) unstable; urgency=low

  * New module "eigmatrix" for solving an eigenvalue problem is added. 
  * The postinst and prerm scripts are generated from spml-postinst-gen.sh and spml-prerm-gen.sh, respectively. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Tue,  1 Feb 2005 17:40:04 +0900

spml (0.3.0-2) unstable; urgency=low

  * Functions for rotation field are added to wt_module. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Thu, 20 Jan 2005 17:03:28 +0900

spml (0.3.0-1) unstable; urgency=low

  * Initial Release for non-DCL package.
  * library name changed from libspmodel.a to libspml.a
  * MessageNotify of dc_message module in gt4f90io is used insted of msgdmp in DCL. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Mon, 10 Jan 2005 11:13:25 +0900

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Build-Depends: debhelper
 Standards-Version: 3.2.1
 
-Package: spml-ffc5
+Package: spml-lapack-ffc5
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, netcdf-ffc5, ispack-ffc5, gt4f90io-ffc5(>=20050207-1), lapack-dev
 Suggests: ffc(>=5.0)|ffcpara(>=5.0)
-Recommends: dcl-ffc5, dcl-f90-ffc5, netcdf-ffc5, ispack-ffc5, gt4f90io-ffc5
 Description: SPML (a SPectral Model Library) is a Fortran90 module library 
  for constructing spectral models for fundamental geophysical fluid dynamic 
  problems. Fortran90 modules of this library are based on ISPACK 
  (http://www.gfd-dennou.org/arch/ispack), which is also library for spectral 
  models but written in Fortran77. This package provides module binary files 
- built with Fujitsu Fortran&C compiler ver.5. GFD-Dennu Club spmodel project web
- site is http://www.gfd-dennou.org/arch/spmodel.
+ built with Fujitsu Fortran&C compiler ver.5. For solving eigenvalue
+ problems, this version of the library uses subroutines of LAPACK. 
+ GFD-Dennu Club spmodel project web site is http://www.gfd-dennou.org/arch/spmodel.
 
 Package: spml-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,28 +2,83 @@
 # Made with the aid of debmake, by Christoph Lameter,
 # based on the sample debian/rules file for GNU hello by Ian Jackson.
 
+######################################################################
+# Select MATRIXLIB for eigenvalue problem library subroutine. 
+#
+#   for SSL II 
+#
+#export MATRIX=ssl2-
+#WITHMATRIX=--with-ssl2=/usr/FFC/lib/libssl2.a
+#export LDFLAGS=  	# ssl2 $B$@$1$G(B OK
+#export LDLIBS=		# ssl2 $B$@$1$G(B OK
+
+#
+#   for LAPACK
+#
+export MATRIX=lapack-
+WITHMATRIX=--with-lapack=/usr/lib/liblapack.a
+export LDFLAGS=-L/usr/lib/gcc-lib/i386-linux/2.95.4  	# for LAPACK
+#export LDFLAGS=-L/usr/lib/gcc-lib/i486-linux/3.3.5  	# for LAPACK
+export LDLIBS=-lblas -lg2c -lgcc			# for LAPACK
+##export LDLIBS=-lblas-2 -lg2c #-lgcc			# for LAPACK
+
+#
+#   not using eigenvalue problem routines
+#
+#export MATRIX=
+#WITHMATRIX=
+#export LDFLAGS=
+#export LDLIBS=
+
+######################################################################
+# Select PRIORITY for the update-altenatives command. 
+# This parameter is used for automatic generation of *.postinst script.
+#
+#export PRIORITY=10
+#export PRIORITY=20
+export PRIORITY=30
+#export PRIORITY=50
+
+######################################################################
 # Select EXT and FC variables before building the package 
 #
 #    for Fujitsu Fortran Compiler
+#
+#export EXT=ffc
+#export EXT=ffc3
+#export EXT=ffc4
 export EXT=ffc5
+
 export FC=frt
 
+#export FFLAGS=-O
+export FFLAGS=-Kfast
+
+#
 #    for Intel Fortran Compiler
+#
 #export EXT=ifc
 #export EXT=ifc6
 #export EXT=ifc7
 #export EXT=ifc7.1
 #export EXT=ifc8
+#export EXT=ifc8.1
+
 #export FC=ifc
 #export FC=ifort
 
-package=spml-$(EXT)
+##export FFLAGS=-Qoption,ld,-Bdynamic
+#export FFLAGS=
+
+export PACKAGEEXT=$(MATRIX)$(EXT)
+package=spml-$(PACKAGEEXT)
 docpackage=spml-doc
 
 build:
 	$(checkdir)
-	cp debian/control.$(EXT) debian/control
-	./configure --with-ispack=/usr/lib/libisp-$(EXT).a --with-netcdf=/usr/lib/libnetcdf-$(EXT).a --with-gt4f90io=/usr/lib/gt4f90io-$(EXT)/lib/libgt4f90io.a --with-dclf90config=/usr/lib/dcl-5.2-$(EXT)/bin/dclf90config --prefix=/usr/lib/spml-$(EXT) 
+	cp debian/control.$(PACKAGEEXT) debian/control
+	(cd debian ; ./spml-postinst-gen.sh ; ./spml-prerm-gen.sh)
+	./configure --with-ispack=/usr/lib/libisp-$(EXT).a --with-netcdf=/usr/lib/libnetcdf-$(EXT).a --with-gt4f90io=/usr/lib/gt4f90io-$(EXT)/lib/libgt4f90io.a $(WITHMATRIX) --prefix=/usr/lib/spml-$(PACKAGEEXT)
 	$(MAKE) 
 	touch build
 
@@ -32,8 +87,11 @@
 	-rm -f build
 	-$(MAKE) distclean
 	-rm -f `find . -name "*~"`
+	-rm -f `find . -name "*.bak"`
 	-rm -rf debian/tmp debian/tmp-doc debian/files* core debian/substvars
 	-rm -rf debian/*.debhelper
+	-rm -rf debian/*.postinst
+	-rm -rf debian/*.prerm
 
 binary-indep: checkroot build
 	$(checkdir)
@@ -55,7 +113,7 @@
 	install -d debian/tmp
 	cd debian/tmp && install -d `cat ../dirs`
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp
-	dh_link usr/lib/spml-$(EXT)/bin/spmfrt   usr/bin/spmfrt.$(EXT)
+	dh_link usr/lib/$(package)/bin/spmfrt   usr/bin/spmfrt.$(PACKAGEEXT)
 # Must have debmake installed for this to work. Otherwise please copy
 # /usr/bin/debstd into the debian directory and change debstd to debian/debstd
 	#debstd

## spml 0.3.0-10

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	cd src; $(MAKE) $@
 	cd spmfrt; $(MAKE) $@
 	cd demo; $(MAKE) $@
+	cd test; $(MAKE) $@
 
 clean.local:
 	-rm *.bak *~

=== debian/changelog ===
spml (0.3.0-10) unstable; urgency=low

  * module names in wa_spectrum_module and w_spectrum_module are shortend
    in order to satisfy function name lenghth restriction of Fotran95. 

 -- Shin-ichi Takehiro <takepiro@gfd-dennou.org>  Mon, 16 May 2005 09:29:00 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: spml-lapack-ffc5
 Architecture: any
-Depends: ${shlibs:Depends}, netcdf-ffc5, ispack-ffc5, gt4f90io-ffc5(>=20050207-1), lapack-dev
+Depends: ${shlibs:Depends}, netcdf-ffc5, ispack-ffc5, gt4f90io-ffc5(>=20041226-1), lapack-dev
 Suggests: ffc(>=5.0)|ffcpara(>=5.0)
 Description: SPML (a SPectral Model Library) is a Fortran90 module library 
  for constructing spectral models for fundamental geophysical fluid dynamic

=== debian/rules ===
--- 
+++ 
@@ -7,20 +7,20 @@
 #
 #   for SSL II 
 #
-#export MATRIX=ssl2-
-#WITHMATRIX=--with-ssl2=/usr/FFC/lib/libssl2.a
-#export LDFLAGS=  	# ssl2 $B$@$1$G(B OK
-#export LDLIBS=		# ssl2 $B$@$1$G(B OK
+export MATRIX=ssl2-
+WITHMATRIX=--with-ssl2=/usr/FFC/lib/libssl2.a
+export LDFLAGS=  	# ssl2 $B$@$1$G(B OK
+export LDLIBS=		# ssl2 $B$@$1$G(B OK
 
 #
 #   for LAPACK
 #
-export MATRIX=lapack-
-WITHMATRIX=--with-lapack=/usr/lib/liblapack.a
-export LDFLAGS=-L/usr/lib/gcc-lib/i386-linux/2.95.4  	# for LAPACK
+#export MATRIX=lapack-
+#WITHMATRIX=--with-lapack=/usr/lib/liblapack.a
+#export LDFLAGS=-L/usr/lib/gcc-lib/i386-linux/2.95.4  	# for LAPACK
 #export LDFLAGS=-L/usr/lib/gcc-lib/i486-linux/3.3.5  	# for LAPACK
-export LDLIBS=-lblas -lg2c -lgcc			# for LAPACK
-##export LDLIBS=-lblas-2 -lg2c #-lgcc			# for LAPACK
+#export LDLIBS=-lblas -lg2c -lgcc			# for LAPACK
+#export LDLIBS=-lblas-2 -lg2c -lgcc			# for LAPACK
 
 #
 #   not using eigenvalue problem routines
@@ -52,7 +52,7 @@
 export FC=frt
 
 #export FFLAGS=-O
-export FFLAGS=-Kfast
+export FFLAGS=-Kfast -v95d,95o,95s
 
 #
 #    for Intel Fortran Compiler
@@ -62,13 +62,11 @@
 #export EXT=ifc7
 #export EXT=ifc7.1
 #export EXT=ifc8
-#export EXT=ifc8.1
 
 #export FC=ifc
 #export FC=ifort
 
-##export FFLAGS=-Qoption,ld,-Bdynamic
-#export FFLAGS=
+#export FFLAGS=-fast
 
 export PACKAGEEXT=$(MATRIX)$(EXT)
 package=spml-$(PACKAGEEXT)
